2101: Get terms version

2101: Get terms version

Fetch details for a specific terms version

Endpoint ID:

2101

Method:

GET

URL:

/permissions/terms/{termsID}/{version}

 

termsID

A GUID string identifier for the terms

 

version

A terms version string formatted as "major.minor", i.e. "1.0" or "4.7".

Alternatively, the string "active" indicates the active version of these terms. This will result in an error if the terms have no active version defined.

Request body:

None

/permissions/terms/7a6776a3-9411-4d34-9866-99aa9ac7cc27/active
{ "version": "4.3", "state": "Active", "consents": [ { "id": "584254a8-a401-4f84-8068-92f173dce72e", "name": "E-mail" }, { "id": "7a0e1921-ce0e-4c97-86b9-650a93fad2dd", "name": "SMS" } ], "text": [ { "isDefault": true, "isDynamic": true, "key": "detailed" }, { "isDefault": false, "isDynamic": true, "key": "overview" } ], "files": [ { "isDefault": true, "key": "fineprint", "fileName": "fine-print.pdf", "mimeType": "application/pdf" } ] }

Status codes:

200

OK

 

400

Invalid request.

The following subcodes may be returned:

400.1

These terms have no active version

 

404

Terms version not found.

The following subcodes may be returned:

404.4

Terms not found

404.7

Terms version not found